package com.hzya.frame.sysnew.dictionaryshop.entity;

import java.util.Date;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * 数据字典表(SysDictionaryshop)实体类
 *
 * @author makejava
 * @since 2024-04-03 14:22:47
 */
public class SysDictionaryshopEntity extends BaseEntity {

    /**
     * 表名
     */
    private String tabName;
    /**
     * 列名
     */
    private String columnName;
    /**
     * 列说明
     */
    private String columnContent;
    /**
     * 列值
     */
    private String columnValue;
    /**
     * 列数字值用于比较数据字典大小
     */
    private Long columnNumValue;
    /**
     * 如果数据字典上下级，通过连接上级id，当前表id
     */
    private Long upId;
    /**
     * 备注
     */
    private String memo;
    /**
     * 使用状态,1 使用，2 不使用
     */
    private String usedSts;
    /**
     * 公司id
     */
    private String companyId;


    public String getTabName() {
        return tabName;
    }

    public void setTabName(String tabName) {
        this.tabName = tabName;
    }

    public String getColumnName() {
        return columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public String getColumnContent() {
        return columnContent;
    }

    public void setColumnContent(String columnContent) {
        this.columnContent = columnContent;
    }

    public String getColumnValue() {
        return columnValue;
    }

    public void setColumnValue(String columnValue) {
        this.columnValue = columnValue;
    }

    public Long getColumnNumValue() {
        return columnNumValue;
    }

    public void setColumnNumValue(Long columnNumValue) {
        this.columnNumValue = columnNumValue;
    }

    public Long getUpId() {
        return upId;
    }

    public void setUpId(Long upId) {
        this.upId = upId;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getUsedSts() {
        return usedSts;
    }

    public void setUsedSts(String usedSts) {
        this.usedSts = usedSts;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

}

